# smeshDC.Mesh_Tetrahedron Class Reference

Class to define a tetrahedron 3D algorithm. More...

Inheritance diagram for smeshDC.Mesh_Tetrahedron:

## Public Member Functions
def | __init__
| Private constructor.
def | MaxElementVolume
| Define "MaxElementVolume" hypothesis to give the maximun volume of each tetrahedral.
def | Parameters
| Define "Netgen 3D Parameters" hypothesis.
def | SetMaxSize
| Set MaxSize.
def | SetSecondOrder
| Set SecondOrder flag.
def | SetOptimize
| Set Optimize flag.
def | SetFineness
| Set Fineness.
def | SetGrowthRate
| Set GrowthRate.
def | SetNbSegPerEdge
| Set NbSegPerEdge.
def | SetNbSegPerRadius
| Set NbSegPerRadius.
def | __init__
def | GetSubMesh
| If the algorithm is global, return 0; else return the submesh associated to this algorithm.
def | GetAlgorithm
| Return the wrapped mesher.
def | GetCompatibleHypothesis
| Get list of hypothesis that can be used with this algorithm.
def | GetName
| Get name of algo.
def | SetName
| Set name to algo.
def | GetId
| Get id of algo.
def | Create
| Private method.
def | Hypothesis
| Private method.
## Data Fields
| algoType
| params
| smesh
| mesh
| geom
| subm
| algo
## Static Public Attributes
int | params = 0
int | algoType = 0

## Detailed Description

More details.

## Member Function Documentation

def smeshDC.Mesh_Tetrahedron.__init__ | ( |  | self,
|  |  | mesh,
|  |  | algoType,
|  |  | geom = `0` |
| ) |  |  |

def smeshDC.Mesh_Tetrahedron.MaxElementVolume | ( |  | self,
|  |  | vol |
| ) |  |  |

Parameters:

  | vol | for the maximum volume of each tetrahedral

def smeshDC.Mesh_Tetrahedron.Parameters | ( |  | self | ) |

def smeshDC.Mesh_Tetrahedron.SetMaxSize | ( |  | self,
|  |  | theSize |
| ) |  |  |

def smeshDC.Mesh_Tetrahedron.SetSecondOrder | ( |  | self,
|  |  | theVal |
| ) |  |  |

def smeshDC.Mesh_Tetrahedron.SetOptimize | ( |  | self,
|  |  | theVal |
| ) |  |  |

def smeshDC.Mesh_Tetrahedron.SetFineness | ( |  | self,
|  |  | theFineness |
| ) |  |  |

Parameters:

  | theFineness | is: VeryCoarse, Coarse, Moderate, Fine, VeryFine or Custom

def smeshDC.Mesh_Tetrahedron.SetGrowthRate | ( |  | self,
|  |  | theRate |
| ) |  |  |

def smeshDC.Mesh_Tetrahedron.SetNbSegPerEdge | ( |  | self,
|  |  | theVal |
| ) |  |  |

def smeshDC.Mesh_Tetrahedron.SetNbSegPerRadius | ( |  | self,
|  |  | theVal |
| ) |  |  |

def smeshDC.Mesh_Algorithm.__init__ | ( |  | self,
|  |  | smesh |
| ) |  |  | `[inherited]`

def smeshDC.Mesh_Algorithm.GetSubMesh | ( |  | self | ) | `[inherited]`

def smeshDC.Mesh_Algorithm.GetAlgorithm | ( |  | self | ) | `[inherited]`

def smeshDC.Mesh_Algorithm.GetCompatibleHypothesis | ( |  | self | ) | `[inherited]`

def smeshDC.Mesh_Algorithm.GetName | ( |  | self | ) | `[inherited]`

def smeshDC.Mesh_Algorithm.SetName | ( |  | self,
|  |  | name |
| ) |  |  | `[inherited]`

def smeshDC.Mesh_Algorithm.GetId | ( |  | self | ) | `[inherited]`

def smeshDC.Mesh_Algorithm.Create | ( |  | self,
|  |  | mesh,
|  |  | geom,
|  |  | hypo,
|  |  | so = `"libStdMeshersEngine.so"` |
| ) |  |  | `[inherited]`

def smeshDC.Mesh_Algorithm.Hypothesis | ( |  | self,
|  |  | hyp,
|  |  | args = `[]`,
|  |  | so = `"libStdMeshersEngine.so"` |
| ) |  |  | `[inherited]`

## Field Documentation

int smeshDC.Mesh_Tetrahedron.params = 0`[static]`

int smeshDC.Mesh_Tetrahedron.algoType = 0`[static]`

smeshDC.Mesh_Tetrahedron.algoType

smeshDC.Mesh_Tetrahedron.params

smeshDC.Mesh_Algorithm.smesh`[inherited]`

smeshDC.Mesh_Algorithm.mesh`[inherited]`

smeshDC.Mesh_Algorithm.geom`[inherited]`

Reimplemented in smeshDC.Mesh_Segment.

smeshDC.Mesh_Algorithm.subm`[inherited]`

smeshDC.Mesh_Algorithm.algo`[inherited]`